#ifndef AGENT_H_
#define AGENT_H_

#include "agent/Communication.h"
#include "agent/Response.h"

/**
 * Trieda Agent umoznuje vytvorit agenta na serveri a umoznuje mu zacat hrat na serveri.
 * @author Michal Kvetan
 * @version 8.12.11
 */

class Agent
{
private:
	bool *run;
	Response *response;
	Communication *communication;
public:
	Agent(bool *run, unsigned char protocol, unsigned short port, unsigned long address, char *team, int id, float playGroundLength, float playGroundWidth, float goalWidth, float goalHeight);
	void start();
	virtual ~Agent();
};

#endif /* AGENT_H_ */
