#include "FixedObject.h"

/**
 * Konstruktor FixedObject() inicializuje prvky, ktore budu potrebne na pracu s pevnym objektom na ihrisku.
 */

FixedObject::FixedObject()
{
	position[0] = 340282346638528860000000000000000000000.0f;
	position[1] = 340282346638528860000000000000000000000.0f;
	position[2] = 340282346638528860000000000000000000000.0f;
}

/**
 * Metoda setPosition() nastavi poziciu pevneho objektu na ihrisku.
 * @param x - X-ova suradnica pevneho objektu na ihrisku.
 * @param y - Y-ova suradnica pevneho objektu na ihrisku.
 * @param z - Z-ova suradnica pevneho objektu na ihrisku.
 */

void FixedObject::setPosition(float x, float y, float z)
{
	position[0] = x;
	position[1] = y;
	position[2] = z;
}

/**
 * Metoda getPosition() vrati poziciu pevneho objektu na ihrisku.
 * @return Pozicia pevneho objektu na ihrisku (Ukazovatel na jednorozmerne pole s 3 hodnotami - suradnicami pevneho objektu na ihrisku). Ak pozicia pevneho objektu na ihrisku nie je znama, tak sa vrati ukazovatel na jednorozmerne pole s 3 hodnotami 340282346638528860000000000000000000000.0f - co znamena neznamu poziciu pevneho objektu na ihrisku.
 */

float *FixedObject::getPosition()
{
	return position;
}
