#ifndef HJ_H_
#define HJ_H_

#include "common/N.h"
#include "hj/Ax.h"

/**
 * Trieda HJ umoznuje rozlozit cast prijatej spravy, ktora obsahuje HJ_perceptor.
 * @author Michal Kvetan
 * @version 8.12.11
 */

class HJ
{
private:
	N *n;
	Ax *ax;
public:
	HJ();
	int decompose(char *receivingMessage);
	N *getN();
	Ax *getAx();
	virtual ~HJ();
};

#endif /* HJ_H_ */
