#include "Pm.h"
#include <string.h>

/**
 * Konstruktor Pm() inicializuje prvok, ktory bude potrebny na rozlozenie casti prijatej spravy, ktora obsahuje pm perceptor.
 */

Pm::Pm()
{
	playMode[0] = '\0';
}

/**
 * Metoda decompose() rozlozi na prvok cast prijatej spravy, ktora obsahuje pm perceptor.
 * @param receivingMessage - Cast prijatej spravy, ktora obsahuje pm perceptor.
 * @return Dlzka casti prijatej spravy, ktora obsahuje pm perceptor.
 */

int Pm::decompose(char *receivingMessage)
{
	int j;
	for (j = 4; receivingMessage[j] != ')'; j ++)
	{
	}
	int length = j - 4;
	memcpy(playMode, receivingMessage + 4, length);
	playMode[length] = '\0';
	return j + 1;
}

/**
 * Metoda getPlayMode() vrati prvok rozlozenej casti prijatej spravy, ktora obsahuje pm perceptor.
 * @return Hraci mod.
 */

char *Pm::getPlayMode()
{
	return playMode;
}
