#include "Unum.h"
#include <stdio.h>

/**
 * Konstruktor Unum() inicializuje prvok, ktory bude potrebny na rozlozenie casti prijatej spravy, ktora obsahuje unum perceptor.
 */

Unum::Unum()
{
	id = 0;
}

/**
 * Metoda decompose() rozlozi na prvok cast prijatej spravy, ktora obsahuje unum perceptor.
 * @param receivingMessage - Cast prijatej spravy, ktora obsahuje unum perceptor.
 * @return Dlzka casti prijatej spravy, ktora obsahuje unum perceptor.
 */

int Unum::decompose(char *receivingMessage)
{
	int j;
	for (j = 7; receivingMessage[j] != ')'; j ++)
	{
	}
#ifdef WIN32
	sscanf_s(receivingMessage + 6, "%i", &id);
#else
	sscanf(receivingMessage + 6, "%i", &id);
#endif
	return j + 1;
}

/**
 * Metoda getId() vrati prvok rozlozenej casti prijatej spravy, ktora obsahuje unum perceptor.
 * @return Cislo agenta.
 */

int Unum::getId()
{
	return id;
}
