#ifndef P_H_
#define P_H_

#include "common/Pol.h"
#include "p/Id.h"
#include "p/Team2.h"

/**
 * Trieda P umoznuje rozlozit cast prijatej spravy, ktora obsahuje P_perceptor.
 * @author Michal Kvetan
 * @version 8.12.11
 */

class P
{
private:
	Team2 *team2;
	Id *id;
	Pol *pol;
public:
	P();
	int decompose(char *receivingMessage);
	Team2 *getTeam();
	Id *getId();
	Pol *getPol();
	virtual ~P();
};

#endif /* P_H_ */
