#include "Now.h"
#include <stdio.h>

/**
 * Konstruktor Now() inicializuje prvok, ktory bude potrebny na rozlozenie casti prijatej spravy, ktora obsahuje now perceptor.
 */

Now::Now()
{
	time = 0;
}

/**
 * Metoda decompose() rozlozi na prvok cast prijatej spravy, ktora obsahuje now perceptor.
 * @param receivingMessage - Cast prijatej spravy, ktora obsahuje now perceptor.
 * @return Dlzka casti prijatej spravy, ktora obsahuje now perceptor.
 */

int Now::decompose(char *receivingMessage)
{
	int j;
	for (j = 8; receivingMessage[j] != ')'; j ++)
	{
	}
#ifdef WIN32
	sscanf_s(receivingMessage + 5, "%f", &time);
#else
	sscanf(receivingMessage + 5, "%f", &time);
#endif
	return j + 1;
}

/**
 * Metoda getTime() vrati prvok rozlozenej casti prijatej spravy, ktora obsahuje now perceptor.
 * @return Simulacny cas.
 */

float Now::getTime()
{
	return time;
}
