#ifndef GYR_H_
#define GYR_H_

#include "common/N.h"
#include "gyr/Rt.h"

/**
 * Trieda GYR umoznuje rozlozit cast prijatej spravy, ktora obsahuje GYR_perceptor.
 * @author Michal Kvetan
 * @version 8.12.11
 */

class GYR
{
private:
	N *n;
	Rt *rt;
public:
	GYR();
	int decompose(char *receivingMessage);
	N *getN();
	Rt *getRt();
	virtual ~GYR();
};

#endif /* GYR_H_ */
