#include "Ax.h"
#include <stdio.h>

/**
 * Konstruktor Ax() inicializuje prvok, ktory bude potrebny na rozlozenie casti prijatej spravy, ktora obsahuje ax perceptor.
 */

Ax::Ax()
{
	angle = 0;
}

/**
 * Metoda decompose() rozlozi na prvok cast prijatej spravy, ktora obsahuje ax perceptor.
 * @param receivingMessage - Cast prijatej spravy, ktora obsahuje ax perceptor.
 * @return Dlzka casti prijatej spravy, ktora obsahuje ax perceptor.
 */

int Ax::decompose(char *receivingMessage)
{
	int j;
	for (j = 7; receivingMessage[j] != ')'; j ++)
	{
	}
#ifdef WIN32
	sscanf_s(receivingMessage + 4, "%f", &angle);
#else
	sscanf(receivingMessage + 4, "%f", &angle);
#endif
	return j + 1;
}

/**
 * Metoda getAngle() vrati prvok rozlozenej casti prijatej spravy, ktora obsahuje ax perceptor.
 * @return Uhol zovretia s osou.
 */

float Ax::getAngle()
{
	return angle;
}
